> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mudstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get settings

> Retrieve all settings for the current user.



## OpenAPI

````yaml get /users/settings
openapi: 3.0.0
info:
  title: Mudstack API
  version: 2.41.0
servers:
  - url: https://api.mudstack.com
security: []
tags: []
paths:
  /users/settings:
    get:
      tags:
        - User Settings
      description: Retrieve all settings for the current user.
      responses:
        '200':
          description: A list of user settings
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/UserSetting'
      security:
        - Authentication: []
components:
  schemas:
    UserSetting:
      type: object
      description: Represents a user's setting.
      properties:
        user_id:
          type: string
          description: The ID of the user.
        attribute_id:
          type: string
          description: The ID of the attribute.
        value:
          description: The value of the setting.
  securitySchemes:
    Authentication:
      type: http
      scheme: bearer
      bearerFormat: JWT

````